<!-- <br><br>
<div class="row col-md-12">
    <div class="col-md-2">
        <mat-form-field>
            <mat-select placeholder="Users">
              <mat-option>None</mat-option>
              <mat-option *ngFor="let state of states" [value]="subcategory">{{subcategory}}</mat-option>
            </mat-select>
          </mat-form-field>
        </div>
  <div class="col-md-2">
  <mat-form-field>
    <mat-select placeholder="brand">
      <mat-option>None</mat-option>
      <mat-option *ngFor="let state of states" [value]="brand">{{brand}</mat-option>
    </mat-select>
  </mat-form-field>
</div>
<div class="col-md-2">
  <mat-form-field>
      <mat-select placeholder="Part No">
        <mat-option>None</mat-option>
        <mat-option *ngFor="let state of states" [value]="product">{{product}}</mat-option>
      </mat-select>
    </mat-form-field>
  </div>
  <div class="col-md-2">
      <mat-form-field>
          <mat-select placeholder="category">
            <mat-option>None</mat-option>
            <mat-option *ngFor="let state of states" [value]="category">{{category}}</mat-option>
          </mat-select>
        </mat-form-field> 
      </div>
     
          <div class="col-md-2" style="padding-top: 11px;padding-left: 38px;">
            <a routerLink="/mapproducts" (click)="shareData(checkProduct)" style="font-size: 15px;padding-left: 24px;">Map Products</a>              
            
          </div>

             <div class="col-md-1">
          <button mat-raised-button style="cursor: pointer; margin: 4px;" (click)="delete()" color="accent">DELETE</button> 
        </div>
        <div class="col-md-1" style="padding-top: 11px;padding-left: 38px;">
          <a routerLink="/deleted-product"  style="font-size: 16px;padding-left: 24px;">Deleted</a>              
        </div>
  </div><br><br><br> -->

  <div class="docs-primary-header component-page-header">
    <mat-chip-list>
        <mat-chip>
            <mat-icon>home</mat-icon>
            <a routerLink="/products">Products</a> /
           Online Products
        </mat-chip>
        
    </mat-chip-list>
  </div>





<div class="appereance">
  <div class="example-container mat-elevation-z2 radius margintable">
      <div class="title">
          <span></span>
        </div>
    <div class="example-header">
        <mat-form-field>
          <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
        </mat-form-field>
      </div>

    <div class="new">
      <mat-table #table [dataSource]="dataSource" matSort>

          <ng-container matColumnDef="product_id">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Product ID. </mat-header-cell>
            <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
          </ng-container>

          <ng-container matColumnDef="product_image">
              <mat-header-cell *matHeaderCellDef mat-sort-header> Image </mat-header-cell>
              <mat-cell *matCellDef="let row"><img src="{{row.images[0]}}" width="100px"> </mat-cell>
            </ng-container>

        <ng-container matColumnDef="productName">
            <mat-header-cell *matHeaderCellDef mat-sort-header> Product Name </mat-header-cell>
            <mat-cell *matCellDef="let element"> {{element.product_name}} </mat-cell>
          </ng-container>

          <ng-container matColumnDef="brandName">
              <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
              <mat-cell *matCellDef="let element">brand Name: {{element.brand_name}} <br> 
                                                  category : {{element.category_name}} <br>
                                                  Sub category :{{element.sub_category_name}} <br>
                                                  
                                                 
               </mat-cell>
            </ng-container>
    
            <ng-container matColumnDef="userType">
              <mat-header-cell *matHeaderCellDef mat-sort-header> View Details</mat-header-cell>
              <mat-cell *matCellDef="let element">
                <!-- User Type :{{element.usertype}} <br> -->
                                                  Quantity: {{element.product_total_quantity}} <br>
                                            consumer Price: {{element.consumer_price}}  <br>
                                            Product Type :{{element.product_type}} <br>
              </mat-cell>
            
            </ng-container>

            <ng-container matColumnDef="userName">
                <mat-header-cell *matHeaderCellDef mat-sort-header></mat-header-cell>
                <mat-cell *matCellDef="let element">User Name:{{element.user_name}} <br>
                                               Retailer Price: {{element.retailer_price}}  <br>
                                            distributer price: {{element.distributer_price}} <br>

                </mat-cell>
                              
              </ng-container>

    

      <!-- <ng-container matColumnDef="actions">
          <mat-header-cell *matHeaderCellDef mat-sort-header> Actions </mat-header-cell>
          <mat-cell *matCellDef="let element">
              <button mat-icon-button routerLink="/editproduct/{{element.product_id}}">
                <mat-icon matTooltip="Edit" style="color:grey">
                  <a>edit</a>
                </mat-icon>
              </button>

         
          </mat-cell>
        </ng-container> -->

        <!-- <ng-container matColumnDef="select">
          <mat-header-cell *matHeaderCellDef mat-sort-header>Select</mat-header-cell>
          <mat-cell *matCellDef="let element; let i=index">
            <mat-checkbox (change)="sendIDS($event.checked,element.product_id)" color="primary"></mat-checkbox>
          </mat-cell>
        </ng-container> -->

        <ng-container matColumnDef="status">
            <mat-header-cell *matHeaderCellDef mat-sort-header>Status</mat-header-cell>
            <mat-cell *matCellDef="let row" ><a [matTooltip]="(isHandset$ | async) ? '' : 'change status'"
              matTooltipPosition="right"><mat-slide-toggle  (change)="onchange($event.checked,row.product_id)"  [checked]="row.online_status==1?true:false"></mat-slide-toggle></a></mat-cell>
            
          </ng-container>

        <mat-header-row *matHeaderRowDef="['product_id','product_image','productName','brandName','userType','userName','status']"></mat-header-row>
        <mat-row *matRowDef="let row; columns:  ['product_id','product_image','productName','brandName','userType','userName','status']"></mat-row>

      </mat-table>
    </div>
    <mat-paginator [length]="100000" [pageSize]="5000" [pageSizeOptions]="[5000, 10000,50000, 100000]">   
       </mat-paginator>
  </div>
</div> 